Title: Regression: 2.2.1 and 2.5.0 fail to calculate reasonable cachedir
Type: Severity: normal
Components: Core Versions: Jython 2.5, Jython 2.2
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: PeterHBower, amitsaha, fwierzbicki, philipa, zyasoft
Priority: normal Keywords:

Created on 2008-02-16.13:12:34 by philipa, last changed 2015-01-14.17:08:24 by zyasoft.

msg2073 (view) Author: Philip Aston (philipa) Date: 2008-02-16.13:12:34
2.2.1 fails to calculate a reasonable default cachedir when jython.jar is loaded as a manifest classpath:

% ls
Manifest-Version: 1.0
Class-Path: jython.jar

% jar cfm test.jar MANIFEST.MF
% cp /opt/jython/jython2.2.1/jython.jar .
% java -cp test.jar org.python.util.jython 
*sys-package-mgr*: can't create package cache dir, '/tmp/bug/jython.jar/cachedir/packages'
Jython 2.2.1 on java1.4.2_11

2.2a1 was fine:

% cp /opt/jython/jython-2.2a1/jython.jar  .
% java -cp test.jar org.python.util.jython 
*sys-package-mgr*: processing new jar, '/tmp/bug/test.jar'
*sys-package-mgr*: processing new jar, '/opt/bea-816/jdk142_11/jre/lib/rt.jar'
Jython 2.2a1 on java1.4.2_11 (JIT: null)
% ls
cachedir/  jython.jar  MANIFEST.MF  test.jar
msg3721 (view) Author: Peter Bower (PeterHBower) Date: 2008-10-29.13:31:27
Are there any plans to fix this one?
msg4863 (view) Author: Amit (amitsaha) Date: 2009-06-30.05:25:44
I am facing this issue with Jython 2.5 on Windows Vista.
msg4865 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-06-30.09:16:35
Changed title to emphasize that problem persists in 2.5 and so should be
looked at before 2.5.1
msg5247 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-10-20.16:29:51
Amit: do you still have this problem in 2.5.1 on Vista?
msg9387 (view) Author: Jim Baker (zyasoft) Date: 2015-01-14.17:08:15
Closing out, the cachedir can always be fixed through configuration, but otherwise this is something that hasn't been an issue to my knowledge for recent releases
Date User Action Args
2015-01-14 17:08:24zyasoftsetresolution: out of date
2015-01-14 17:08:16zyasoftsetstatus: open -> closed
nosy: + zyasoft
messages: + msg9387
2013-02-19 18:27:24fwierzbickisetversions: + Jython 2.5, Jython 2.2, - 2.2.2
2009-10-20 16:29:51fwierzbickisetmessages: + msg5247
2009-06-30 09:16:35fwierzbickisetassignee: fwierzbicki
messages: + msg4865
title: Regression: 2.2.1 fails to calculate reasonable cachedir -> Regression: 2.2.1 and 2.5.0 fail to calculate reasonable cachedir
2009-06-30 09:14:01fwierzbickisetnosy: + fwierzbicki
2009-06-30 05:25:45amitsahasetnosy: + amitsaha
messages: + msg4863
2009-03-12 06:45:22zyasoftsetversions: + 2.2.2
2008-10-29 13:31:28PeterHBowersetnosy: + PeterHBower
messages: + msg3721
2008-02-16 13:12:34philipacreate